/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package dao;

import bean.Product;
import java.rmi.ConnectIOException;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.util.ArrayList;

/**
 *
 * @author Thang
 */
public class Product_dao {

    public ArrayList<Product> getAllProduct() {
        ArrayList<Product> lstProduct = new ArrayList<Product>();
        Connection conn = Config.openConnection();
        PreparedStatement ps = null;
        ResultSet rs = null;
        try {
            ps = conn.prepareCall("SELECT * FROM Product");
            rs = ps.executeQuery();
            while (rs.next()) {
                Product p = new Product();
                p.setId(rs.getInt("id"));
                p.setName(rs.getString("name"));
                p.setPrice(rs.getFloat("price"));
                p.setQuantity(rs.getInt("quantity"));

                lstProduct.add(p);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return lstProduct;
    }

    public Product getProductByID(int id) {
        Product p = new Product();
        Connection conn = Config.openConnection();
        PreparedStatement ps = null;
        ResultSet rs = null;
        try {
            ps = conn.prepareCall("SELECT * FROM Product WHERE id = ?");
            ps.setInt(1, id);
            rs = ps.executeQuery();
            if (rs.next()) {
                p.setId(rs.getInt("id"));
                p.setName(rs.getString("name"));
                p.setPrice(rs.getFloat("price"));
                p.setQuantity(rs.getInt("quantity"));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return p;
    }
}
