<%-- 
    Document   : index
    Created on : Jun 28, 2012, 12:51:11 AM
    Author     : Thang
--%>

<%@page import="bean.Product"%>
<%@page import="java.util.Set"%>
<%@page import="java.util.HashMap"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <div style="margin-bottom: 15px;">
            <%
                        HashMap<Product, Integer> map = (HashMap<Product, Integer>) request.getSession().getAttribute("cart");
                        if (map != null) {
                            //set danh sach san pham co trong gio hang vao bien "key" (key la 1 mang cac san pham)
                            Set<Product> key = map.keySet();
            %>
            <form action="edit_cart" method="post">
                <table border="1" cellpadding="3" cellspacing="0">
                    <tr>
                        <th>Product</th>
                        <th>Quantity</th>
                        <th>Del</th>
                    </tr>
                    <%
                                                //duyet mang key de hien thi danh sach cac san pham co trong gio hang
                                                for (Product k : key) {
                                                    int qty = map.get(k);
                                                    out.print("<tr>");
                                                    out.print("<td>" + k.getName() + "</td>");
                                                    out.print("<td><input type=\"text\" name=" + k.getId() + " value=" + qty + " /></td>");
                                                    out.print("<td><a href=\"del_cart?id=" + k.getId() + "\">Del</a></td>");
                                                    out.print("</tr>");
                                                }
                    %>
                </table>
                <input type="submit" name="btnUpdate" value="Update Cart"/>
            </form>
            <%
                        }
            %>
        </div>
        <table border="1" cellpadding="3" cellspacing="0">
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Price</th>
                <th>Quantity</th>
                <th>Add to Cart</th>
            </tr>
            <!-- su dung tag library de hien thi ra danh sach san pham cho nhanh :D -->
            <c:if test="${empty requestScope['lstProduct']}">
                <!-- Neu lstProduct null thi redirect den servlet de thuc hien get san pham tu trong database ra-->
                <c:redirect url="Product_servlet"></c:redirect>
            </c:if>
            <!-- Neu lstProduct khac null thi su dung vong lap for de hien thi danh sach san pham-->
            <c:forEach items="${requestScope['lstProduct']}" var="p">
                <tr>
                    <td>${p.id}</td>
                    <td>${p.name}</td>
                    <td>${p.price}</td>
                    <td>${p.quantity}</td>
                    <td><a href="add_cart?id=${p.id}">Add to Cart</a></td>
                </tr>
            </c:forEach>
        </table>
    </body>
</html>
